/***********************************************************
文件名：18_oled.ino
描述：oled屏显示文字。
作者：chenzhiqiang
日期：2022.11.11
***********************************************************/
#include <U8g2lib.h>
#include <Wire.h>

U8G2_SSD1306_128X64_NONAME_1_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);
//字体：华文黑体  字号：16px  显示文字：Hello
/*
------------------------------------------------------------------------------------------------
|  0 0 0         0 0 0 0                     0 0 0   0 0 0 0                                   |
|  0 0 0         0 0 0 0                     0 0 0   0 0 0 0                                   |
|  0 0 0         0 0 0 0                     0 0 0   0 0 0 0                                   |
|  0 0 0         0 0 0 0       0 0 0 0 0     0 0 0   0 0 0 0     0 0 0 0 0 0                   |
|  0 0 0         0 0 0 0     0 0 0   0 0 0   0 0 0   0 0 0 0   0 0 0     0 0 0                 |
|  0 0 0 0 0 0 0 0 0 0 0   0 0 0     0 0 0   0 0 0   0 0 0 0 0 0 0 0       0 0 0               |
|  0 0 0         0 0 0 0   0 0 0       0 0 0 0 0 0   0 0 0 0 0 0 0         0 0 0               |
|  0 0 0         0 0 0 0   0 0 0 0 0 0 0 0 0 0 0 0   0 0 0 0 0 0 0         0 0 0               |
|  0 0 0         0 0 0 0   0 0 0             0 0 0   0 0 0 0 0 0 0         0 0 0               |
|  0 0 0         0 0 0 0   0 0 0             0 0 0   0 0 0 0 0 0 0 0       0 0 0               |
|  0 0 0         0 0 0 0   0 0 0 0     0 0   0 0 0   0 0 0 0   0 0 0     0 0 0                 |
|  0 0 0         0 0 0 0     0 0 0 0 0 0     0 0 0   0 0 0 0     0 0 0 0 0 0                   |
|                                                                                              |
|                                                                                              |
|                                                                                              |
|                                                                                              |
------------------------------------------------------------------------------------------------
*/
static const unsigned char PROGMEM CEJU[96] = {0x0E,0x0F,0xC0,0x3D,0x00,0x00,0x0E,0x0F,0xC0,0x3D,0x00,0x00,0x0E,0x0F,0xC0,0x3D,0x00,0x00,0x0E,0x8F,0xCF,0x3D,0x3F,0x00,0x0E,0xCF,0xDD,0xBD,0x73,0x00,0xFE,0xEF,0xDC,0xFD,0xE3,0x00,0x0E,0xEF,0xF8,0xFD,0xE1,0x00,0x0E,0xEF,0xFF,0xFD,0xE1,0x00,0x0E,0xEF,0xC0,0xFD,0xE1,0x00,0x0E,0xEF,0xC0,0xFD,0xE3,0x00,0x0E,0xEF,0xD9,0xBD,0x73,0x00,0x0E,0xCF,0xCF,0x3D,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
//字体：华文黑体  字号：16px  显示文字：STEM
/*
------------------------------------------------------------------------------------------------
|    0 0 0 0 0 0   0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0   0 0 0 0             0 0 0 0           |
|  0 0 0     0 0 0       0 0 0         0 0 0             0 0 0 0             0 0 0 0           |
|0 0 0                   0 0 0         0 0 0             0 0 0 0 0           0 0 0 0           |
|0 0 0                   0 0 0         0 0 0             0 0 0 0 0         0 0 0 0 0           |
|0 0 0 0                 0 0 0         0 0 0             0 0 0 0 0 0       0 0 0 0 0           |
|  0 0 0 0 0             0 0 0         0 0 0 0 0 0 0 0   0 0 0 0 0 0     0 0 0 0 0 0           |
|      0 0 0 0 0         0 0 0         0 0 0             0 0 0   0 0 0   0 0 0 0 0 0           |
|          0 0 0 0       0 0 0         0 0 0             0 0 0   0 0 0 0 0 0   0 0 0           |
|            0 0 0       0 0 0         0 0 0             0 0 0     0 0 0 0 0   0 0 0           |
|            0 0 0       0 0 0         0 0 0             0 0 0     0 0 0 0     0 0 0           |
|0 0 0       0 0 0       0 0 0         0 0 0             0 0 0     0 0 0 0     0 0 0           |
|  0 0 0 0 0 0           0 0 0         0 0 0 0 0 0 0 0   0 0 0       0 0 0     0 0 0           |
|                                                                                              |
|                                                                                              |
|                                                                                              |
|                                                                                              |
------------------------------------------------------------------------------------------------
*/
static const unsigned char PROGMEM DW[96] = {0xFC,0xFE,0xFF,0xF7,0xC0,0x03,0xCE,0x71,0x38,0xF0,0xC0,0x03,0x07,0x70,0x38,0xF0,0xC1,0x03,0x07,0x70,0x38,0xF0,0xE1,0x03,0x0F,0x70,0x38,0xF0,0xE3,0x03,0x3E,0x70,0xF8,0xF7,0xF3,0x03,0xF8,0x70,0x38,0x70,0xF7,0x03,0xE0,0x71,0x38,0x70,0xBF,0x03,0xC0,0x71,0x38,0x70,0xBE,0x03,0xC0,0x71,0x38,0x70,0x9E,0x03,0xC7,0x71,0x38,0x70,0x9E,0x03,0x7E,0x70,0xF8,0x77,0x9C,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

void page1() {
  u8g2.setFont(u8g2_font_timR18_tf);
  u8g2.setFontPosTop();
  u8g2.drawXBMP(20, 30, 48, 16, CEJU);
  u8g2.drawXBMP(60, 30, 48, 16, DW);
}

void setup(){
  u8g2.setI2CAddress(0x3C*2);
  u8g2.begin();
}

void loop(){
  u8g2.firstPage();
  do
  {
    page1();
  }while(u8g2.nextPage());

}
